package com.ruoyi.dxp.mapper;

import java.util.List;
import com.ruoyi.dxp.domain.CallLog;

/**
 * 接口监控Mapper接口
 * 
 * @author jy
 * @date 2022-11-06
 */
public interface CallLogMapper 
{
    /**
     * 查询接口监控
     * 
     * @param uuid 接口监控主键
     * @return 接口监控
     */
    public CallLog selectCallLogByUuid(String uuid);

    /**
     * 查询接口监控列表
     * 
     * @param callLog 接口监控
     * @return 接口监控集合
     */
    public List<CallLog> selectCallLogList(CallLog callLog);

    /**
     * 新增接口监控
     * 
     * @param callLog 接口监控
     * @return 结果
     */
    public int insertCallLog(CallLog callLog);

    /**
     * 修改接口监控
     * 
     * @param callLog 接口监控
     * @return 结果
     */
    public int updateCallLog(CallLog callLog);

    /**
     * 删除接口监控
     * 
     * @param uuid 接口监控主键
     * @return 结果
     */
    public int deleteCallLogByUuid(String uuid);

    /**
     * 批量删除接口监控
     * 
     * @param uuids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCallLogByUuids(String[] uuids);
}
